Package org.eclipse.microprofile.rest.client

# Class RestClientDefinitionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.microprofile.rest.client.RestClientDefinitionException

All Implemented Interfaces:
  `Serializable`

public class RestClientDefinitionException extends RuntimeException
This exception is thrown when the MicroProfile Rest Client implementation attempts to build a client using an invalid interface. Interfaces are considered invalid (1) if it contains a method with more than one HTTP method annotations or (2) if the combined type-level/method-level URI path contains an unresolved URI template or (3) if an interface method contains a `@PathParam` annotation that refers to a URI template that is not defined in any `@Path` annotations on the method or interface.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RestClientDefinitionException()`
`RestClientDefinitionException(String paramString)`
`RestClientDefinitionException(String paramString, Throwable paramThrowable)`
`RestClientDefinitionException(Throwable paramThrowable)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RestClientDefinitionException

public RestClientDefinitionException()

### RestClientDefinitionException

public RestClientDefinitionException(String paramString)

### RestClientDefinitionException

public RestClientDefinitionException(String paramString, Throwable paramThrowable)

### RestClientDefinitionException

public RestClientDefinitionException(Throwable paramThrowable)